## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreEditPartProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.diagram.ui.services.editpart.AbstractEditPartProvider
              org.eclipse.emf.ecoretools.diagram.providers.EcoreEditPartProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.diagram.ui.internal.properties.Properties, org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.IEditPartProvider

    public class EcoreEditPartProvider

extends org.eclipse.gmf.runtime.diagram.ui.services.editpart.AbstractEditPartProvider

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.diagram.ui.internal.properties.Properties

`DIAGRAMLINK_ANNOTATION, ID_ARROW_SOURCE, ID_ARROW_TARGET, ID_AVOIDOBSTRUCTIONS, ID_BENDPOINT, ID_CLOSESTDISTANCE, ID_COLLAPSED, ID_DESCRIPTION, ID_EXTENTX, ID_EXTENTY, ID_FILLCOLOR, ID_FILTERED_OBJECTS, ID_FILTERING, ID_FILTERING_KEYS, ID_FONTBOLD, ID_FONTCOLOR, ID_FONTITALIC, ID_FONTNAME, ID_FONTSIZE, ID_FONTSTRIKETHROUGH, ID_FONTUNDERLINE, ID_ISCANONICAL, ID_ISVISIBLE, ID_JUMPLINKS_REVERSE, ID_JUMPLINKS_STATUS, ID_JUMPLINKS_TYPE, ID_LINE_TYPE, ID_LINE_WIDTH, ID_LINECOLOR, ID_PAGE_HEIGHT, ID_PAGE_WIDTH, ID_PAGEX, ID_PAGEY, ID_PERSISTED_CHILDREN, ID_PERSISTED_EDGES, ID_POSITIONX, ID_POSITIONY, ID_RATIO, ID_ROUTING, ID_SEMANTICREF, ID_SHOWCOMPARTMENTTITLE, ID_SMOOTHNESS, ID_SORTED_OBJECTS, ID_SORTING, ID_SORTING_KEYS, ID_SOURCECONNECTIONS, ID_TARGETCONNECTIONS, ID_TEXT_ALIGNMENT, ID_TRANSIENT_CHILDREN, ID_TRANSIENT_EDGES`

Constructor Summary
`EcoreEditPartProvider()`

Method Summary
`protected org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart` `createEditPart(org.eclipse.gmf.runtime.notation.View view)`
`org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart` `createGraphicEditPart(org.eclipse.gmf.runtime.notation.View view)`
`protected org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart` `getCachedPart(org.eclipse.gmf.runtime.notation.View view)`
`org.eclipse.gef.EditPartFactory` `getFactory()`
`boolean` `isAllowCaching()`
`boolean` `provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)`
`protected void` `setAllowCaching(boolean allowCaching)`
`protected void` `setFactory(org.eclipse.gef.EditPartFactory factory)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.services.editpart.AbstractEditPartProvider
`createRootEditPart, getDiagramEditPartClass, getEdgeEditPartClass, getNodeEditPartClass, getReferencedElementEClass`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreEditPartProvider

    public EcoreEditPartProvider()

Method Detail

### getFactory

    public final org.eclipse.gef.EditPartFactory getFactory()

### setFactory

    protected void setFactory(org.eclipse.gef.EditPartFactory factory)

### isAllowCaching

    public final boolean isAllowCaching()

### setAllowCaching

    protected void setAllowCaching(boolean allowCaching)

### createEditPart

    protected org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart createEditPart(org.eclipse.gmf.runtime.notation.View view)

### getCachedPart

    protected org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart getCachedPart(org.eclipse.gmf.runtime.notation.View view)

### createGraphicEditPart

    public org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart createGraphicEditPart(org.eclipse.gmf.runtime.notation.View view)

  Specified by:
    `createGraphicEditPart` in interface `org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.IEditPartProvider`
  Overrides:
    `createGraphicEditPart` in class `org.eclipse.gmf.runtime.diagram.ui.services.editpart.AbstractEditPartProvider`

### provides

    public boolean provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)

  Specified by:
    `provides` in interface `org.eclipse.gmf.runtime.common.core.service.IProvider`
  Overrides:
    `provides` in class `org.eclipse.gmf.runtime.diagram.ui.services.editpart.AbstractEditPartProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.